---
title: path()
slug: Web/CSS/path()
tags:
  - CSS
  - CSS Function
  - Function
  - Reference
---
<div>{{cssref}}</div>

<p>The <code><strong>path()</strong></code> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Functions">function</a> accepts an SVG path string, and is used in CSS Shapes and CSS Motion Path to enable a shape to be drawn.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">path( [[&lt;'fill-rule'&gt;,]?&lt;string&gt;)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><font face="consolas, Liberation Mono, courier, monospace"><span style="background-color: rgba(220, 220, 220, 0.5);">&lt;'fill-rule'&gt;</span></font></dt>
 <dd>The filling rule for the interior of the path. Possible values are nonzero or evenodd. The default value is nonzero. See <a href="/en-US/docs/Web/SVG/Attribute/fill-rule">fill-rule</a> for more details.</dd>
 <dt>&lt;string&gt;</dt>
 <dd>The string is an <a href="/en-US/docs/Web/SVG/Element/path">SVG path data string</a>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Examples_of_correct_values_for_path">Examples of correct values for path()</h3>

<pre class="brush: css notranslate">path("M 10 80 C 40 10, 65 10, 95 80 S 150 150, 180 80");
path(evenodd,"M 10 80 C 40 10, 65 10, 95 80 S 150 150, 180 80");
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS Shapes', '#funcdef-path', 'path()')}}</td>
   <td>{{Spec2('CSS Shapes')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("&lt;shape-outside&gt;")}}</li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Shapes">CSS Shapes</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Shapes/Overview_of_CSS_Shapes">Overview of CSS Shapes</a></li>
 <li><a href="https://css-tricks.com/svg-path-syntax-illustrated-guide/">SVG Path Syntax Illustrated Guide</a></li>
</ul>
